[Libreoffice-commits] dev-tools.git: 2 commits - export-validation/setup.sh
Katarina Behrens
Katarina.Behrens at cib.de
Fri Nov 6 05:42:54 PST 2015
export-validation/setup.sh | 27 +++++++++++++++++++++------
1 file changed, 21 insertions(+), 6 deletions(-)
New commits:
commit 419956f775ead4422316cdaebff37da0939980df
Author: Katarina Behrens <Katarina.Behrens at cib.de>
Date: Fri Nov 6 14:12:52 2015 +0100
Improve help msg, mention absolute path
diff --git a/export-validation/setup.sh b/export-validation/setup.sh
index 69f31cb..0c6af26 100755
--- a/export-validation/setup.sh
+++ b/export-validation/setup.sh
@@ -24,6 +24,9 @@ print_SUSE_errormsg()
if [ -z "$1" -o -z "$2" ]; then
echo "Usage: $0 <workdir> <instdir>"
echo
+ echo "<workdir> where to download validator sources (absolute path)"
+ echo "<instdir> where to install validator wrappers (absolute path)"
+ echo
echo "Example: $0 $HOME/scm/svn /opt/lo/bin"
exit 1
fi
commit 9201b13dcddb0903624a029e05ce32fb309c8f83
Author: Katarina Behrens <Katarina.Behrens at cib.de>
Date: Fri Nov 6 14:05:39 2015 +0100
Add check if subversion is in PATH
+ reduce some code duplication
diff --git a/export-validation/setup.sh b/export-validation/setup.sh
index 33921a1..69f31cb 100755
--- a/export-validation/setup.sh
+++ b/export-validation/setup.sh
@@ -9,6 +9,18 @@
# Run this script to download, build and install the validators.
+print_SUSE_errormsg()
+{
+ package=$1
+
+ if [ -e /etc/os-release ]; then
+ . /etc/os-release
+ if [ "$NAME" == "openSUSE" ]; then
+ echo "Hint: type 'zypper in $1' to install it."
+ fi
+ fi
+}
+
if [ -z "$1" -o -z "$2" ]; then
echo "Usage: $0 <workdir> <instdir>"
echo
@@ -30,13 +42,13 @@ fi
if ! type -p ant >/dev/null; then
echo "Error: can't find ant in PATH"
+ print_SUSE_errormsg 'ant'
+ exit 1
+fi
- if [ -e /etc/os-release ]; then
- . /etc/os-release
- if [ "$NAME" == "openSUSE" ]; then
- echo "Hint: type 'zypper in ant-junit' to install it."
- fi
- fi
+if ! type -p svn >/dev/null; then
+ echo "Error: can't find svn in PATH"
+ print_SUSE_errormsg 'subversion'
exit 1
fi
More information about the Libreoffice-commits
mailing list